<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
StringSetAt Method (IEdmDictionary5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : StringSetAt Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

bsKey
  Key whose value to set

bsValue
  New value

Sets the value for the specified string key.

# Syntax

Visual Basic |
--- | ---

    Sub StringSetAt( _
       ByVal bsKey As System.String, _
       ByVal bsValue As System.String _
    )

C# |
--- | ---

    void StringSetAt(
       System.string bsKey,
       System.string bsValue
    )

C++/CLI |
--- | ---

    void StringSetAt(
    &   System.String^ bsKey,
    &   System.String^ bsValue
    )

#### Parameters

bsKey
  Key whose value to set
bsValue
  New value

# Example

See the examples for IEdmDictionary5.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringGetAt Method ()
IEdmDictionary5::StringRemoveAt Method ()
IEdmDictionary5::LongSetAt Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2